Bug 97760 - (IPS)Version mismatch between ServRAID firmware and ips driver
(IPS)Version mismatch between ServRAID firmware and ips driver
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-20 10:51 EDT by Kent Pirkle
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kent Pirkle 2003-06-20 10:51:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.3) Gecko/20030312

Description of problem:
The current firmware for IBM ServRAID is 6, the driver is the latest kernel is
5.10.21. Is it possible to run the stock kernel with a mismatch like this? The
only alternative I see is to recompile the kernel with the newer driver. I see
this message during bootup on an IBM xSeries 345 server:

SCSI subsystem driver Revision: 1.00
Warning: Adapter 0 Firmware Compatible Version is MR600, but should be SA510
Warning: Adapter 0 BIOS Compatible Version is MR600, but should be SA510
Warning ! ! ! ServeRAID Version Mismatch
scsi0 : IBM PCI ServeRAID 5.10.21 
  Vendor: IBM       Model: SERVERAID         Rev: 1.00
  Type:   Direct-Access                      ANSI SCSI revision: 02
  Vendor: IBM       Model: SERVERAID         Rev: 1.00
  Type:   Processor                          ANSI SCSI revision: 02
  Vendor: IBM       Model: 32P0032a S320  1  Rev: 1   
  Type:   Processor                          ANSI SCSI revision: 02
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0


Version-Release number of selected component (if applicable):
2.4.20-18.7

How reproducible:
Always

Steps to Reproduce:
1. Boot system
2.
3.
    

Actual Results:  I get the error of mismatch Firmware/BIOS version.

Expected Results:  They should match.

Additional info:
Comment 1 Arjan van de Ven 2003-06-20 10:54:35 EDT
as far as I know IBM discourages mixing driver/firmware "major number" mismatches.
Which btw is exactly the reason we didn't update the driver; it would require a
lot of people to upgrade firmware during a security update with no way to fall
back :(
Comment 2 Kent Pirkle 2003-06-20 13:18:57 EDT
That is understandable. I will see if its possible to downgrade the firmware to
match the driver. Thanks.
Comment 3 Kent Pirkle 2003-06-23 11:27:50 EDT
Once the BIOS was flashed back to version 5.10.21 the current kernel works fine
without complaint.
Comment 4 Bugzilla owner 2004-09-30 11:41:10 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.